#!/bin/bash
#You should use this script to install Spiral only if you did not install Spiral through your package manager.
if [ "$EUID" -ne 0 ]
  then echo "This script must be run as root."
  exit
fi

cp ./spiral /usr/bin/spiral
cp ./spiral.png /usr/share/pixmaps/spiral.png
cp ./Spiral.desktop /usr/share/applications/Spiral.desktop
mkdir -p /usr/share/spiral
cp ./Demo.snb /usr/share/spiral/Demo.snb
cp ./session.json /usr/share/spiral/session.json

echo "Spiral has been installed. Please note that Spiral also requires the following dependencies, which can be installed using your package manager:"
echo "qt5-declarative>=5.9.0, qt5-base>=5.9.0, qt5-styleplugins (optional)"
